Posted on

Running An Old CSA Plugin? Upgrade

If you are running a CSA plugin such as Store Locator Plus or MoneyPress that is more than 6 months old, upgrade. There are two very notable issues that make this important.

Store Locator Plus

For Store Locator Plus there are notable security patches that occurred in Version 3.8.7.  Really you should always try to stay on the latest version for the best support, performance, and feature updates.   However you should ALWAYS upgrade when there is a security concern.    If you are not on 3.8.7 or higher, get on that version.

All The Others

For all other plugins, upgrade to the latest version that is published.   There are no security patches at this point, but there is a notable update that you want to know about.

Performance Concerns

So, one of the main reasons to upgrade is security concerns.  The other?  Performance.

Older versions of the plugins had a notable design flaw that existed while part of the Cyber Sprocket Labs era.    A flaw in the code was causing the ENTIRE support framework for the plugin, including admin page support, to be loaded into memory AT ALL TIMES.    In newer versions released since October 2012, this has been addressed.

In the newer versions of the plugin there will be a significantly lower memory footprint for EVERY PAGE on your site.   Yes, that is EVERY PAGE.  Why?  That flaw caused the entire plugin framework to be loaded on EVERY SITE PAGE regardless of whether or not the plugin features were in use.

In addition, there are multiple network connections going on as all of the plugins communicate with third party services, such as Amazon or eBay affiliate services, Google maps services, and others.    This is a core element of the plugin design for most of the plugins.   However this same flaw also loads and connects to a number of servers then throws away the data if a plugin shortcode is not rendered or you are not on a plugin admin page.

Again, these flaws have been fixed.  The latest versions of the plugins only load resources as required and on the proper pages.  Things like loading CSS and JavaScript only on the page with a plugin shortcode, or an admin page for the plugin, are noticeable.   However, there is a lot going on you don’t see and with the older versions of the plugins it is doing a TON of extra work for nothing on EVERY PAGE of your site.

Do yourself and your customers a favor and upgrade your plugins and add-on packs.    If not the latest version then I recommend nothing earlier than November 1st, 2012 as a release date.     However, I constantly strive for not only adding functionality or UX improvements but I am very adamant about having code that runs efficiently and lower memory usage, disk I/O, and network I/O at every opportunity.

Upgrade your plugins.   Today.

Servers everywhere will thank you.

BTW, for reference, the current “ping rate” for older plugins is running at about 20+ network connections/second from the 10,000+ sites running an old Cyber Sprocket or Charleston Software Associates plugin that has not been optimized.

 

Oh… and the article banner?   A sneak peak of the upcoming news panel for Store Locator Plus 3.9.3… still testing…